%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-nova
Version:        9.6.0
Release:        4%{?dist}
Summary:        Puppet module for OpenStack Nova
License:        Apache-2.0

URL:            https://launchpad.net/puppet-nova

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=9.6.0
#
Patch0001: 0001-Fix-handling-of-nova-pci-MultiStrOpt-params.patch
Patch0002: 0002-Added-nova-patching-configuration-parameters.patch
Patch0003: 0003-Expose-my_ip.patch
Patch0004: 0004-newton-Add-Puppet-package-to-bindep-for-module-build.patch
Patch0005: 0005-Switch-to-Zuul-v3-testing.patch
Patch0006: 0006-Run-puppet-openstack-beaker-jobs.patch
Patch0007: 0007-Add-group-configuration-to-qemu.conf-file.patch
Patch0008: 0008-Correct-permissions-on-the-nova-logfiles.patch
Patch0009: 0009-Handle-libvirt-cpu_model_extra_flags-option.patch

BuildArch:      noarch

Requires:       puppet-cinder
Requires:       puppet-glance
Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-rabbitmq
Requires:       puppet-stdlib
Requires:       puppet-sysctl
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Nova

%prep
%setup -q -n openstack-nova-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/
rm -f %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/files/nova-novncproxy.init

%files
%{_datadir}/openstack-puppet/modules/nova/


%changelog
* Mon Apr 30 2018 Yolanda Robla <yroblamo@redhat.com> 9.6.0-4
- Handle libvirt/cpu_model_extra_flags option (rhbz#1571756)
- Correct permissions on the nova logfiles (rhbz#1428572)
- Add group configuration to qemu.conf file (rhbz#1573068)

* Mon Jan 15 2018 Steve Linabery <slinaber@redhat.com> 9.6.0-3
- Run puppet-openstack-beaker-jobs
- Switch to Zuul v3 testing
- [newton] Add Puppet package to bindep, for module build

* Wed Oct 18 2017 Steve Linabery <slinaber@redhat.com> 9.6.0-2
- Expose my_ip
- Added nova patching configuration parameters

* Thu Aug 31 2017 Steve Linabery <slinaber@redhat.com> 9.6.0-1
- Update to 9.6.0
- Fix handling of nova pci MultiStrOpt params

* Fri Aug 04 2017 Jason Joyce <jjoyce@redhat.com> 9.5.4-2
- Allow creating security group rules for ICMP
- Fix invalid PCI alias definition
- Manage access project for nova flavors

* Fri Aug 04 2017 Jason Joyce <jjoyce@redhat.com> 9.5.4-1
- Update to 9.5.4

* Mon May 22 2017 Jason Joyce <jjoyce@redhat.com> 9.5.0-6
- Add nova::compute::libvirt::qemu class to configure limits
- Adds snapshot_image_format configuration
- virsh secret uuid are case insensitive

* Wed May 17 2017 Jason Joyce <jjoyce@redhat.com> 9.5.0-5
- Fix idempotency with empty available filters (rhbz#1426439)
- Enable Keystone v3 support for nova_flavor and nova_aggregate
- Allow to set allow_resize_to_same_host in nova-api
- Warn our users about Nova API in WSGI with Apache
- Add a class to run the db online_data_migrations

* Tue May 02 2017 Mike Burns <mburns@redhat.com> 9.5.0-4
- Add support for migration over SSH (rhbz#1428241)

* Tue Feb 14 2017 Jon Schlueter <jschluet@redhat.com> 9.5.0-2
- libvirt: allow any binding for vncserver_listen (lp#1660099)
- Remove non-US-ASCII from nova::compute::vmware

* Tue Feb 14 2017 Jon Schlueter <jschluet@redhat.com> 9.5.0-1
- Update to 9.5.0 (rhbz#1422093)

* Thu Jan 05 2017 Jon Schlueter <jschluet@redhat.com> 9.4.0-2
- Add cell_v2 simple_cell_setup
- Remove leftovers of gate fix reviews
- Set cpu_mode to "none" when virt_type is qemu
- Add the enable_new_services option to nova::conductor
- XenServer patch
- Added retries in db_sync for nova_api db (lp#1645474,lp#1628580,lp#1647305)
- Added retries for db_sync (lp#1645474, lp#1628580)
- Use stable/newton spec helper

* Thu Sep 29 2016 Alfredo Moralejo <amoralej@redhat.com> 9.4.0-1
- Update to 9.4.0

* Thu Sep 22 2016 Haikel Guemar <hguemar@fedoraproject.org> 9.3.0-1
- Update to 9.3.0

* Fri Sep 16 2016 Haikel Guemar <hguemar@fedoraproject.org> 9.2.0-1
- Update to 9.2.0

